Index: c/src/libchip/ChangeLog
===================================================================
--- c/src/libchip/ChangeLog	(revision babba25a1196ef5b1514aac4bd230eb1316e8217)
+++ c/src/libchip/ChangeLog	(revision ec463acb01f4b2d379af1c88bfe3da793431d9ff)
@@ -1,2 +1,9 @@
+2003-07-10	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac: Remove (Merged into ../configure.ac).
+	* Makefile.am, ide/Makefile.am, network/Makefile.am,
+	rtc/Makefile.am, serial/Makefile.am:
+	Reflect having merged configure.ac into ../configure.ac
+
 2003-06-30	Greg Menke <gregory.menke@gsfc.nasa.gov>
 
Index: c/src/libchip/Makefile.am
===================================================================
--- c/src/libchip/Makefile.am	(revision babba25a1196ef5b1514aac4bd230eb1316e8217)
+++ c/src/libchip/Makefile.am	(revision ec463acb01f4b2d379af1c88bfe3da793431d9ff)
@@ -3,8 +3,6 @@
 ##
 
-ACLOCAL_AMFLAGS = -I ../../../aclocal
-
 SUBDIRS = rtc serial network ide
 
-include $(top_srcdir)/../../../automake/subdirs.am
-include $(top_srcdir)/../../../automake/local.am
+include $(top_srcdir)/../../automake/subdirs.am
+include $(top_srcdir)/../../automake/local.am
Index: src/libchip/configure.ac
===================================================================
--- c/src/libchip/configure.ac	(revision babba25a1196ef5b1514aac4bd230eb1316e8217)
+++ 	(revision )
@@ -1,50 +1,0 @@
-## Process this file with autoconf to produce a configure script.
-## 
-## $Id$
-
-AC_PREREQ(2.57)
-AC_INIT([rtems-c-src-libchip],[_RTEMS_VERSION],[rtems-bugs@OARcorp.com])
-AC_CONFIG_SRCDIR([rtc])
-RTEMS_TOP(../../..)
-
-RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define foreign 1.7.2])
-AM_MAINTAINER_MODE
-
-RTEMS_ENABLE_NETWORKING
-RTEMS_ENABLE_BARE
-
-RTEMS_ENV_RTEMSBSP
-
-RTEMS_CHECK_CPU
-RTEMS_CANONICAL_HOST
-
-RTEMS_PROJECT_ROOT
-
-RTEMS_PROG_CC_FOR_TARGET([-ansi -fasm])
-RTEMS_CANONICALIZE_TOOLS
-
-RTEMS_CHECK_CUSTOM_BSP(RTEMS_BSP)
-RTEMS_CHECK_NETWORKING(RTEMS_BSP)
-
-# pick up all the Makefiles in required parts of the tree
-if test "$RTEMS_CPU" = "unix"; then
-## HACK: Suppress libchip for unix
-AC_MSG_ERROR(Can't build libchip for $RTEMS_CPU)
-fi
-
-AS_IF([test "$host_cpu" = "sparc"],[
-  AC_DEFINE_UNQUOTED([CPU_U32_FIX],[1],
-    [whether to enable ipalignment work-around])
-])
-
-AM_CONDITIONAL(HAS_NETWORKING, test "$HAS_NETWORKING" = "yes")
-
-# Explicitly list all Makefiles here
-AC_CONFIG_FILES([Makefile
-network/Makefile
-rtc/Makefile
-serial/Makefile
-ide/Makefile
-])
-AC_OUTPUT
Index: c/src/libchip/ide/Makefile.am
===================================================================
--- c/src/libchip/ide/Makefile.am	(revision babba25a1196ef5b1514aac4bd230eb1316e8217)
+++ c/src/libchip/ide/Makefile.am	(revision ec463acb01f4b2d379af1c88bfe3da793431d9ff)
@@ -19,6 +19,6 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../automake/compile.am
+include $(top_srcdir)/../../automake/lib.am
 
 PREINSTALL_FILES = $(PROJECT_INCLUDE)/libchip \
@@ -37,4 +37,4 @@
 EXTRA_DIST = $(C_FILES)
 
-include $(top_srcdir)/../../../automake/subdirs.am
-include $(top_srcdir)/../../../automake/local.am
+include $(top_srcdir)/../../automake/subdirs.am
+include $(top_srcdir)/../../automake/local.am
Index: c/src/libchip/network/Makefile.am
===================================================================
--- c/src/libchip/network/Makefile.am	(revision babba25a1196ef5b1514aac4bd230eb1316e8217)
+++ c/src/libchip/network/Makefile.am	(revision ec463acb01f4b2d379af1c88bfe3da793431d9ff)
@@ -14,6 +14,6 @@
 include_libchip_HEADERS = cs8900.h i82586var.h if_fxpvar.h sonic.h if_media.h mii.h
 
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../automake/compile.am
+include $(top_srcdir)/../../automake/lib.am
 
 $(PROJECT_INCLUDE)/libchip:
@@ -50,3 +50,3 @@
     cs8900.c cs8900.c.bsp dec21140.c i82586.c if_fxp.c sonic.c
 
-include $(top_srcdir)/../../../automake/local.am
+include $(top_srcdir)/../../automake/local.am
Index: c/src/libchip/rtc/Makefile.am
===================================================================
--- c/src/libchip/rtc/Makefile.am	(revision babba25a1196ef5b1514aac4bd230eb1316e8217)
+++ c/src/libchip/rtc/Makefile.am	(revision ec463acb01f4b2d379af1c88bfe3da793431d9ff)
@@ -17,6 +17,6 @@
 include_libchip_HEADERS = rtc.h icm7170.h m48t08.h
 
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../automake/compile.am
+include $(top_srcdir)/../../automake/lib.am
 
 PREINSTALL_FILES = $(PROJECT_INCLUDE)/libchip \
@@ -41,3 +41,3 @@
 EXTRA_DIST = $(C_FILES) $(DOC_FILES)
 
-include $(top_srcdir)/../../../automake/local.am
+include $(top_srcdir)/../../automake/local.am
Index: c/src/libchip/serial/Makefile.am
===================================================================
--- c/src/libchip/serial/Makefile.am	(revision babba25a1196ef5b1514aac4bd230eb1316e8217)
+++ c/src/libchip/serial/Makefile.am	(revision ec463acb01f4b2d379af1c88bfe3da793431d9ff)
@@ -17,6 +17,6 @@
 include_libchip_HEADERS = mc68681.h ns16550.h z85c30.h serial.h sersupp.h
 
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
+include $(top_srcdir)/../../automake/compile.am
+include $(top_srcdir)/../../automake/lib.am
 
 PREINSTALL_FILES = $(PROJECT_INCLUDE)/libchip \
@@ -42,3 +42,3 @@
 EXTRA_DIST = $(C_FILES) $(DOC_FILES)
 
-include $(top_srcdir)/../../../automake/local.am
+include $(top_srcdir)/../../automake/local.am
